#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stack
version:              2.7.3
visibility:           public
id:                   stack-2.7.3-5MmCRjlTc7Z9hi1t9m4aH1
key:                  stack-2.7.3-5MmCRjlTc7Z9hi1t9m4aH1
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  a9fe1fe00fa1a1c7c6d74a57cf45015b
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version
    Stack.Types.VersionIntervals Stack.Unpack Stack.Upgrade
    Stack.Upload System.Info.ShortPathName System.Permissions
    System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/stack-2.7.3
hs-libraries:         HSstack-2.7.3-5MmCRjlTc7Z9hi1t9m4aH1
depends:
    Cabal-3.4.0.0 aeson-1.5.6.0-FdusChH0dokB9fXPeFrIPu
    annotated-wl-pprint-0.7.0-70TwcJulbP410FZMDCXWmO
    ansi-terminal-0.11-C9raGJmrRpQ318ixPrYCyd array-0.5.4.0
    async-2.2.3-JYKLQKS337YI3EHAC7DhtO
    attoparsec-0.14.1-2GQaG3RNGCb1FJmmtUw9yw base-4.15.0.0
    base64-bytestring-1.2.1.0-7Mzvdov3ZEU26zOwgju5Bj
    bytestring-0.10.12.1 casa-client-0.0.1-3OQnmCfSAQjIzELSRWOANO
    casa-types-0.0.2-3PR2ulCg1YN2HNjQFzhOdX
    colour-2.3.6-Epx9dvmhSHJ7YXxKM1pMnI
    conduit-1.3.4.1-FBBdYZtIOXIF0l92wrvXPH
    conduit-extra-1.3.5-3m8c3zLMOsLHHCvdkMNLYf containers-0.6.4.1
    cryptonite-0.29-DKWFkQSmbTH7MNFggbrL72
    cryptonite-conduit-0.2.2-4WFuh1a7iTo8LKdpk2Vo2i deepseq-1.4.5.0
    directory-1.3.6.1 echo-0.1.4-9WkOqrcNnDn8K5KbomRoSw
    exceptions-0.10.4 extra-1.7.9-EbftETpVpSeAzvMt8QDLZA
    file-embed-0.0.14.0-DpVDNlFaM0M9fTuZiTfuRf
    filelock-0.1.1.5-DQPjBNyvMMbAx1dHoLSQnd filepath-1.4.2.1
    fsnotify-0.3.0.1-Fwvd6XZhm9b4s8izqTx22Z
    generic-deriving-1.14-6RVfrMV8FmbAuKUF6PmFc4
    hackage-security-0.6.0.1-I5N5oRmNhF25F7zCwQanu0
    hashable-1.3.2.0-2579b4ed8EpGiVuNwiQjKE
    hi-file-parser-0.1.2.0-CPmJPvsBNMcpP41xN6obH
    hpack-0.34.4-BpwywQeKS26BHwIvE27nAo hpc-0.6.1.0
    http-client-0.7.8-54xCae4Uihq2pWirBbc7Yh
    http-client-tls-0.3.5.3-700qx1qhTNtJyfVDWe1Rb5
    http-conduit-2.3.8-6k88Cif175DBR9oucYLS3j
    http-download-0.2.0.0-8dy2qQPQFXi4BHOlRxtr68
    http-types-0.12.3-1wamSD8hhWnANIqnXxg2jZ
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    mintty-0.1.2-5b08LLwS4rI2XuvUvOFfBx
    mono-traversable-1.0.15.1-Im8VpkjmpwB4FxcZzGyGRx mtl-2.2.2
    mustache-2.3.1-MHIm0dvvPxoCQVBwuXFB
    neat-interpolation-0.5.1.2-8hvz1h9I1n5H1vgmmoU7l9
    network-uri-2.6.4.1-2LSJWeUPhP2KrQCcBDGWGY
    open-browser-0.2.1.0-CCCAftezS4EInxcC0BPvzu
    optparse-applicative-0.16.1.0-Gjr1DCq0Q3C1od4nYsPAdn
    pantry-0.5.2.3-CLWXEWehVMIC4OO1pMHQPL
    path-0.9.0-A6o4lQLVC4T5Gsg6Ep3jnt
    path-io-1.6.3-AOrYPtJ07tQ591FrnCWhIM
    persistent-2.13.1.1-6AzOFfDUI6bLOY3xsYmlgP
    persistent-sqlite-2.13.0.3-7gvQKfP2SkwGftUxoRl5qO pretty-1.1.3.6
    primitive-0.7.2.0-1lc2i9ANYshuZcECqRD6V process-1.6.11.0
    project-template-0.2.1.0-DbAQjxdbjrCIb7ZIL4PE0G
    regex-applicative-text-0.1.0.1-6doaHJpsYoZTdZ1G8ji6V
    retry-0.9.0.0-9r9uyrkAp9TAz2Vg06e6AQ
    rio-0.1.21.0-6RLmCDAuZjz333V6yEuW0B
    rio-prettyprint-0.1.1.0-51OCLlNBncL8qPGY3JQD6T
    split-0.2.3.4-8SvHMldMIN0H3lxJuBeJOU stm-2.5.0.0
    streaming-commons-0.2.2.1-988ZdQgWNBf2cRpGT0WK7q
    tar-0.5.1.1-9CTutPLm4m35BCne6EIfRs template-haskell-2.17.0.0
    temporary-1.3-VgBTtmdtrbEPzxjagdsvL text-1.2.4.1
    text-metrics-0.3.0-BvNLN4DeLE41vRa91j4GZt
    th-reify-many-0.1.9-EnBJ5dtDEKi2s0qjncRKhG time-1.9.3
    tls-1.5.5-IbF518J64AFJgdZL2Zyurb transformers-0.5.6.2
    typed-process-0.2.6.1-GibcvHRIdIh7UiN8oUK96g
    unicode-transforms-0.3.8-2hbOi93GbESASGFe6jEtvL unix-2.7.2.2
    unix-compat-0.5.3-CsWJk3UHZrh7lbWn5tdOhn
    unliftio-0.2.19-EaAoBBmefhjF6biHLTEG3M
    unordered-containers-0.2.14.0-4VkaQXrxHxDFVxUpdGbpuH
    vector-0.12.3.0-wUfL5c2StS9dUQS7oblw1
    yaml-0.11.5.0-5u3KmL2tGkN8UADS4j4Shk
    zip-archive-0.4.1-23ntomMfFE23C6CULNVCoD
    zlib-0.6.2.3-8U1msHx6D2D2xmEAjX5FfH

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

